MysqlndUhConnection::nextResult
MysqlndUhConnection::query
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::ping

Pings a server connection, or tries to reconnect if the connection has gone down

### Description

public bool MysqlndUhConnection::ping ( mysqlnd_connection `$connection` )

Pings a server connection, or tries to reconnect if the connection has gone down.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::ping example

`<?php
class proxy extends MysqlndUhConnection {
public function ping($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::ping($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->ping();
?>`

The above example will output:

    proxy::ping(array (
      0 => NULL,
    ))
    proxy::ping returns true

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_ping
- mysql_ping